Name:          routino
Version:       3.4
Release:       1mamba
Summary:       An application for finding a route between two points using the dataset of topographical information collected by OpenStreetMap.org
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.routino.org/
Source:        http://www.routino.org/download/routino-%{version}.tgz
License:       Affero GNU Public License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbzip2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
An application for finding a route between two points using the dataset of topographical information collected by http://www.OpenStreetMap.org.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package -n python-routino
Group:         System/Libraries
Summary:       Python bindings for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-routino
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   prefix=%{_prefix} \
   libdir=%{_libdir} \
   incdir=%{_includedir} \
   docdir=%{_docdir}/routino

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/filedumper
%{_bindir}/filedumper-slim
%{_bindir}/filedumperx
%{_bindir}/planetsplitter
%{_bindir}/planetsplitter-slim
%{_bindir}/router
%{_bindir}/router+lib
%{_bindir}/router+lib-slim
%{_bindir}/router-slim
%dir %{_datadir}/doc/routino
%{_datadir}/doc/routino/*.txt
%dir %{_datadir}/doc/routino/html
%{_datadir}/doc/routino/html/*
%dir %{_datadir}/routino
%{_datadir}/routino/*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libroutino-slim.so.*
%{_libdir}/libroutino.so.*
%doc agpl-3.0.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/routino.h
%{_libdir}/libroutino-slim.so
%{_libdir}/libroutino.so
%doc ChangeLog README.txt

#%files -n python-routino
#%defattr(-,root,root)
#%{python310_sitearch}/Routino-1.0-py*.egg-info
#%dir %{python310_sitearch}/routino
#%{python310_sitearch}/routino/*

%changelog
* Sun Jun 18 2023 Automatic Build System <autodist@mambasoft.it> 3.4-1mamba
- automatic version update by autodist

* Thu Jan 14 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.3-1mamba
- update to 3.3.3

* Tue Sep 08 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.2-1mamba
- package created using the webbuild interface
